Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Dec 2021 09:37:05 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 17 Dec 2021 03:49:36 +0300
> 
> On 16.12.2021 19:56, Eli Zaretskii wrote:
> > There's part of the font_delete_unmatched function that's conditioned
> > on HAVE_NTGUI.  If you remove the condition (so that the code there is
> > unconditionally compiled) and rebuild, does the problem go away?
> 
> Yup! Seems to help.

Lars, do we make that kludge unconditionally compiled on all systems?
The change which Dmitry's bisection found as the culprit cannot be
undone, I think, because without it we cannot support medium weight
separately from regular.  The change I made in font.c is the second
best, I think (or at least I couldn't think of a better one) for
people who have long-time setups which worked until now because we
treated medium and regular as the same weight.

> When I evaluate
> 
>    (set-face-attribute 'default nil :height 110 :family "InconsolataLGC")
> 
> (this variation of the font doesn't have the original problem), the 
> height of the window shrinks, unless the window is maximized.
> 
> If I evaluate it multiple times, the height shrinks every time I do that 
> (stopping at height 5, when even the minibuffer becomes inaccessible).

The original shrinking is expected, I think, but the subsequent ones
shouldn't happen.  Martin, could you look into this, perhaps?